polybori::groebner::RankingVector Class Reference

This class defines RankingVector. More...

`#include <RankingVector.h>`

Inheritance diagram for polybori::groebner::RankingVector:

## Public Member Functions

| RankingVector (size_type len)
void | increment (size_type idx)
void | rerank (const Exponent &exp)
value_type | max_index () const

## Detailed Description

This class defines RankingVector.

## Constructor & Destructor Documentation

polybori::groebner::RankingVector::RankingVector | ( | size_type | len | ) |

inline

## Member Function Documentation

void polybori::groebner::RankingVector::increment | ( | size_type | idx | ) |

inline

value_type polybori::groebner::RankingVector::max_index | ( |  | ) | const

inline

void polybori::groebner::RankingVector::rerank | ( | const Exponent & | exp | ) |

inline

References polybori::BooleExponent::begin(), polybori::BooleExponent::deg(), polybori::BooleExponent::end(), and polybori::for_each().

Referenced by polybori::groebner::GroebnerStrategy::suggestPluginVariable().

The documentation for this class was generated from the following file:

- RankingVector.h